Can the latest build of C2 export to steam with NW 10.5?

Discussion and feedback on Construct 2

Post » Thu Apr 30, 2015 1:36 pm

Where can I see which version of NW I'm using? :P
B
58
S
25
G
14
Posts: 793
Reputation: 13,302

Post » Thu Apr 30, 2015 1:50 pm

Anonnymitet wrote:Where can I see which version of NW I'm using? :P


Go to your Programs folder where Construct 2 is and look for either NWjsForC2 (10.5 ish) or NodeWebkitForC2 (NW.js 12)
Image Image Image
B
63
S
19
G
6
Posts: 325
Reputation: 7,994

Post » Thu Apr 30, 2015 5:45 pm

jobel wrote:@80bit yikes that's troubling.. I planned on releasing my game next spring.. do you think I should try to roll back to r187?? (also 10.5 allows Fraps to work.)

I don't think I've used any of the new features... seriously.. why do I ever update anything? I always get burned!


sorry, i think you misunderstood. Im using the latest version of Construct 2. But im using the 10.5 node-webkit exporter (since it's a standalone install i can put 10.5 in there) and all is working fine. :)
Made Cosmochoria - www.cosmochoria.com
Currently working on Slayaway Camp - www.slayawaycamp.com
B
27
S
8
G
3
Posts: 384
Reputation: 5,020

Post » Thu Apr 30, 2015 5:50 pm

Nesteris wrote:
PSI wrote:If you want to use NW 10.5 I'm fairly use R0j0hound made a thread of it. Basically you just replace the files in the exporter with the older files, should work fine.


Can anyone post a link to that thread? (I can't find it) or give a brief explanation on how to replace it please?
B
7
Posts: 23
Reputation: 830

Post » Thu Apr 30, 2015 5:52 pm

80bit wrote:
sorry, i think you misunderstood. Im using the latest version of Construct 2. But im using the 10.5 node-webkit exporter (since it's a standalone install i can put 10.5 in there) and all is working fine. :)


I'll really like to try the 10.5 version but I can't find a download link or anything, can you share your process please?
B
7
Posts: 23
Reputation: 830

Post » Thu Apr 30, 2015 6:01 pm

Found it for ya @droxon

See here : viewtopic.php?f=146&t=119896&p=904756#p904756
Image Image Image
B
63
S
19
G
6
Posts: 325
Reputation: 7,994

Post » Thu Apr 30, 2015 6:15 pm

Thanks a lot! :) @facecjf
B
7
Posts: 23
Reputation: 830

Post » Thu Apr 30, 2015 6:17 pm

80bit wrote:sorry, i think you misunderstood. Im using the latest version of Construct 2. But im using the 10.5 node-webkit exporter (since it's a standalone install i can put 10.5 in there) and all is working fine. :)


I see.. I didn't think they supported that.. or it wasn't recommended.. which is why it's so hard to find 10.5 (and it's not on the list of downloads)

I just checked and it seems I have both 10.5 and 12 installed on my system!
B
100
S
33
G
16
Posts: 1,204
Reputation: 16,865

Post » Thu Apr 30, 2015 6:20 pm

No prob! @droxon

In case if anyone is wondering I just tested NW 12.1 - It's worse for me than any previous release. (for me at least) Uses twice the amount of CPU - and is jankier than prior. I assume it's safe to say that since current chrome state is F'd up, any recent version of NW.js is going to exhibit a lot of the same issues. :/
Image Image Image
B
63
S
19
G
6
Posts: 325
Reputation: 7,994

Post » Thu Apr 30, 2015 6:24 pm

I replaced the folder, but I believe that C2 is still exporing with NW 12... because it exported a 64 bit version and from what I understand 10.5 is 32 bit only? perhaps i'm replacing the wrong file :(
B
7
Posts: 23
Reputation: 830

PreviousNext

Return to Construct 2 General

Who is online

Users browsing this forum: No registered users and 3 guests